﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;


// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SFCalculator
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class ColorConvertor:IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            
            var hexCode = value.ToString();
            var color = new Color();
            if (hexCode.Length >= 9 && System.Text.RegularExpressions.Regex.IsMatch(hexCode.Substring(3, 6), @"\A\b[0-9a-fA-F]+\b\Z"))
            {
                color.A = byte.Parse(hexCode.Substring(1, 2), NumberStyles.AllowHexSpecifier);
                color.R = byte.Parse(hexCode.Substring(3, 2), NumberStyles.AllowHexSpecifier);
                color.G = byte.Parse(hexCode.Substring(5, 2), NumberStyles.AllowHexSpecifier);
                color.B = byte.Parse(hexCode.Substring(7, 2), NumberStyles.AllowHexSpecifier);
            }
            return color;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return null;
        }

       


    }
}
